Fish_JuKunPaiHangCFG = {}

function Fish_JuKunPaiHangCFG:getData(key)
	if self.datas == nil then
		return nil
	end
	return self.datas[key]
end

function Fish_JuKunPaiHangCFG:init()
	self.datas = {}
	self.datas[1] = {ID = 1, Type = 1, Time = 1, StartRank = 1, EndRank = 1, Reward = {3,50000,96,2}}
	self.datas[2] = {ID = 2, Type = 1, Time = 1, StartRank = 2, EndRank = 2, Reward = {3,30000,96,1}}
	self.datas[3] = {ID = 3, Type = 1, Time = 1, StartRank = 3, EndRank = 3, Reward = {3,10000,27,2}}
	self.datas[4] = {ID = 4, Type = 1, Time = 1, StartRank = 4, EndRank = 6, Reward = {27,1,93,20000}}
	self.datas[5] = {ID = 5, Type = 1, Time = 1, StartRank = 7, EndRank = 10, Reward = {26,2,93,10000}}
	self.datas[6] = {ID = 6, Type = 2, Time = 2, StartRank = 1, EndRank = 1, Reward = {3,100000,1,10000000}}
	self.datas[7] = {ID = 7, Type = 2, Time = 2, StartRank = 2, EndRank = 2, Reward = {3,50000,1,7000000}}
	self.datas[8] = {ID = 8, Type = 2, Time = 2, StartRank = 3, EndRank = 3, Reward = {3,30000,1,5000000}}
	self.datas[9] = {ID = 9, Type = 2, Time = 2, StartRank = 4, EndRank = 4, Reward = {3,10000,1,3000000}}
	self.datas[10] = {ID = 10, Type = 2, Time = 2, StartRank = 5, EndRank = 5, Reward = {3,5000,1,1000000}}
	self.datas[11] = {ID = 11, Type = 3, Time = 2, StartRank = 1, EndRank = 1, Reward = {1,150000000,96,2}}
	self.datas[12] = {ID = 12, Type = 3, Time = 2, StartRank = 2, EndRank = 2, Reward = {1,90000000,96,1}}
	self.datas[13] = {ID = 13, Type = 3, Time = 2, StartRank = 3, EndRank = 3, Reward = {1,45000000,27,2}}
	self.datas[14] = {ID = 14, Type = 3, Time = 2, StartRank = 4, EndRank = 4, Reward = {1,15000000,27,1}}
	self.datas[15] = {ID = 15, Type = 3, Time = 2, StartRank = 5, EndRank = 5, Reward = {1,9000000,26,3}}
end

Fish_JuKunPaiHangCFG:init()
